Package com.pixelmed.apps

# Class ConvertPlanarConfiguration

java.lang.Object
com.pixelmed.apps.ConvertPlanarConfiguration

public class ConvertPlanarConfiguration extends Object

A class of static methods to convert the planar configuration of a multiple samples per pixel image, i.e., to change color-by-plane to color-by-pixel or vice versa.

## Constructor Summary

Constructors
Constructor
Description
`ConvertPlanarConfiguration(String inputFileName, String outputFileName)`
Read a DICOM color image input format file and change the planar configuration of the encoded pixel data.

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] arg)`
Read a DICOM color image input format file and change the planar configuration of the encoded pixel data.

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConvertPlanarConfiguration

public ConvertPlanarConfiguration(String inputFileName, String outputFileName) throws DicomException, FileNotFoundException, IOException

Read a DICOM color image input format file and change the planar configuration of the encoded pixel data.

Parameters:
  `inputFileName` - the input file name
  `outputFileName` - the output file name
Throws:
  `DicomException`
  `FileNotFoundException`
  `IOException`

## Method Details

### main

public static void main(String[] arg)

Read a DICOM color image input format file and change the planar configuration of the encoded pixel data.

Parameters:
  `arg` - two parameters, the inputFile, outputFile